while creating issue from email - add watcher from mail from/cc
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version:    

Resolution: Invalid   

Description

Dear All,

Our redmine [Redmine 1.3.2.stable.9247 (MySQL)] is configured to create issue from email. we have implemented "Fetching emails

from an IMAP or POP3 server" to create issues from email.

Issues are creating fine so far, now we want to add To and Cc as watchers for the issues created by email. is this possible?

I have found from r2077 that if sender have  'Add issue watchers' permission then issue created with To and Cc as watchers. But

don't know how to assign 'Add issue watchers' to anonymous user!

Associated revisions

Revision 16963 - 2017-09-07 19:22 - Toshi MARUYAMA

add test that anonymous user can add watchers by mail (#26654)

History

#1 - 2017-08-23 11:08 - Go MAEDA

- Description updated

#2 - 2017-09-07 19:24 - Toshi MARUYAMA

- Status changed from New to Needs feedback

You can add watchers from anonymous user if anonymous user has add_issue_watchers permission.

See r16963.

#3 - 2017-09-07 19:26 - Toshi MARUYAMA

And Redmine 1.3.2 is too old.

#4 - 2017-09-08 00:23 - Go MAEDA

- Category changed from Issues to Email receiving

#5 - 2019-09-08 07:17 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
